Subject: Re: gigabit ethernet

From: Ben Greear <[email-masked]>
Date: Sun, 15 Feb 2004 20:32:09 -0800

satya srikanth wrote:

> My CPU is unable to handle anything more than this. Is
> it possible to handle 1000Mbps for any packet size or
> atleast something better than this by using more
> powerful machines. If anyone of you have experimented
> with this, can you give an idea of what kind of a
> machine do I need for this. 

Try a machine with a 64/66 PCI bus, or preferably,
a PCI-X bus that can run 64/100 or better.

I got line speed packet generation and reception on
a dual 2.8Ghz Xeon machine with PCI-X (64/100) bus and a dual
port Intel pro/1000 NIC.  I tested with 1500 byte packets
and transmitted and received 999Mbps of traffic between
two ports (total of ~4Gbps across the PCI backplane).

I wasn't routing or anything like that, but at least for
packet generation it worked fine.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com